# This is the sample configuration file for the 
# Who's On program.  As you may have guessed, if a line
# starts with a #, it is treated as a comment and is not
# paid attention to by the program.  You can use this
# feature to add notes to your config file or to comment
# out names or even whole MUCKs if you don't want them
# to be used by the program for whatever reason.
# Put this file, once you've added/changed/whatever it
# to match the MUCKs and characters you wish to use, in the
# same folder/directory/whatever as the .class files
# Note that *all* entries in this file are case-sensitive.

# The MUCKs shown herein are merely samples of the various
# MUCKs you might be able to use this with.  I chose to use
# these as examples because they're widely known and are
# thus likely to be familiar to most readers.  The characters
# shown are merely widely known characters on their respective
# MUCKs, not necessarily friends of mine.  In fact, I've
# never met a good number of them.

######################################################
# The following three lines are optional.
# This line tells Who's On how long to wait betwen updates.
# It must be an integer, in minutes.  The default is 20 minutes.
refresh = 15

# These lines set the color that the text of the program's
# display is written in, as well as the background color.
# Acceptable colors are:
# black     gray       orange  yellow
# blue      green      pink
# cyan      lightgray  red
# darkgray  magenta    white
# The defaults are foreground = black, background = white.
foreground = green
background = black

######################################################
# This is the section where we define the MUCKs that we're
# going to be looking at.

# This line defines the nickname of the MUCK we're going
# to be looking at.  It MUST be the first line in any new
# MUCK entry.  You can give the MUCK any nickname you want,
# as long as you'll know what it is when it appears in the
# Who's On window.
muck = Furry

# This line gives the address of the machine that we're
# going to connect to.
host = muck.furry.org

# This line tells Who's On what port to connect to.  In
# this case we're using a port other than 8888 as it can
# sometimes be less laggy.
port = 8889

# This line starts the section where we list the playes
# we are looking for; it MUST be written as shown, with
# NO space between 'players' and the curly brace.
players{

# This part is easy.  Just list the players you want to
# look for on this MUCK, one on each line.  Just note
# that the search is case-sensitive, and if you want to
# look for the same name on multiple MUCKs you must add
# that name to each MUCK's definition
Lynx
Aragh
Little_Spike
Schlake

# Here we close the player definition section, and als
# this MUCK entry entirely.  This curly brace MUST appear
# on the line by itself.
}

######################################################
# Now we present the definition for a second MUCK, without
# all the comments to clutter it up.  You may add as many MUCKs
# as you want and search for as many characters on each MUCK as
# you want.
muck = Fluff
host = fluffmuck.org
port = 8888
players{
Caspian
Callen
Zorin
Brightie
}

# This is the end of the Who's On config file.  It's
# probably best to leave some kind of comment after the
# last curly brace to make sure everything that needs
# to get read gets read and ther's an EOLN at the end of
# the line containing that curly brace.
